# path::combine

Combines two paths.

### Usage

`string path::combine(path1, path2)`

### Parameters

Name | Type | Description
--- | --- | ---
path1 | string | first path
path2 | string | second path

### Return Value

A string containing the combined paths. If one of the specified paths is a zero-length string, this method returns the other path. If path2 contains an absolute path, this method returns path2.

### Exceptions

The function will fail in any of the following circumstances:

- path1 or path2 contain one or more invalid characters.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)